
QGIS Application - Bug report #4171

outline width of ellipse marker not properly rendered when printing to image/pdf/svg

2011-08-14 05:43 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14148

Description

The ellipse marker is a great addition to new symbology. I however spotted on bug in its implementation.

While the ellipse markers are rendered well within the QGIS map canvas (see screencapture.jpg), it's a different story when

printing/exporting with the composer. Then, QGIS rounds the float value down to its nearest integer (see printcomposer-error.jpg).

Hopefully it's trivial to fix (I'm thinking a wrong float/int assignment?).

History

#1 - 2011-08-14 12:44 PM - Marco Hugentobler

- Status changed from Open to Resolved

This should be fixed with commit c6a18002b7c206d5dd33. Please reopen if it is still there.

#2 - 2011-10-27 11:36 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Resolved to Closed
